package tracer

import (
	"git.ma-al.com/gora_filip/observer/pkg/level"
	"go.opentelemetry.io/otel/codes"
	"go.opentelemetry.io/otel/trace"
)

func RecordError(span trace.Span, err error) error {
	span.SetStatus(codes.Error, err.Error())
	span.RecordError(err)

	return nil
}
